datablock WheeledVehicleData(combineVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./Combine.dts";
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 1;
   mountThread[0] = "sit";

	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 0";

	maxSteeringAngle = 0.9785;
	integration = 4;
	tireEmitter = VehicleTireEmitter;

	cameraRoll = false;
	cameraMaxDist = 13;
	cameraOffset = 7.5;
	cameraLag = 0.0;
	cameraDecay = 0.75;
	cameraTilt = 0.4;
   collisionTol = 0.1;
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= combinesteertire;
	defaultSpring	= combineSpring;

   numWheels = 6;

	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed    = 10.0;

	engineTorque = 10000;
	engineBrake = 2000;
	brakeTorque = 50000;
	maxWheelSpeed = 30;

	rollForce		= 900;
	yawForce		= 600;
	pitchForce		= 1000;
	rotationalDrag		= 0.2;

   steeringAutoReturn = true;
   steeringAutoReturnRate = 0.9;
   steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = true;
   steeringStrafeSteeringRate = 0.1;

	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;

	justcollided = 0;

   uiName = "Combine";
	rideable = true;
		lookUpLimit = 0.65;
		lookDownLimit = 0.45;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = combineExplosionProjectile;
   initialExplosionOffset = 0;

   burnTime = 4000;

   finalExplosionProjectile = combineFinalExplosionProjectile;
   finalExplosionOffset = 0.5;

   minRunOverSpeed    = 0.25;
   runOverDamageScale = 100;
   runOverPushScale   = 0;

   protectPassengersBurn   = false;
   protectPassengersRadius = true;
   protectPassengersDirect = false;
};

function CombineVehicle::onAdd(%this,%obj)
{
	parent::onadd(%this,%obj);
	%obj.mountable = true;
	
	%obj.setWheelTire(0, CombineSteerTire);
	%obj.setWheelTire(1, CombineSteerTire);
	%obj.setWheelTire(2, CombineBigTire);
	%obj.setWheelTire(3, CombineBigTire);
	%obj.setWheelTire(4, CombineSmallTire);
	%obj.setWheelTire(5, CombineSmallTire);

	%obj.setWheelSpring(0, combinespring);
	%obj.setWheelSpring(1, combinespring);
	%obj.setWheelSpring(2, combinespring);
	%obj.setWheelSpring(3, combinespring);
	%obj.setWheelSpring(4, combinespring);
	%obj.setWheelSpring(5, combinespring);
	
	%obj.setWheelSteering(0,1);
	%obj.setWheelSteering(1,1);
	%obj.setWheelSteering(2,0);
	%obj.setWheelSteering(3,0);
	%obj.setWheelSteering(4,0);
	%obj.setWheelSteering(5,0);

	%obj.setWheelPowered(0,true);
    %obj.setWheelPowered(1,true);
	%obj.setWheelPowered(2,true);
	%obj.setWheelPowered(3,true);
    %obj.setWheelPowered(4,true);
	%obj.setWheelPowered(5,true);
}

function combineVehicle::onTrigger(%this, %obj, %num, %cli, %wha)
{
   if(%cli $= 1 && $Sim::Time > %obj.bladesTime)
   {
      if(%obj.bladesStart $= 1)
      {
         %obj.playThread(0,stop);
         %obj.bladesStart = 0;
      }
      else
      {
         %obj.playThread(0,ambient);
         %obj.bladesStart = 1;
      }
      %obj.nextBladesTime = $Sim::Time+0.5;
   }
}